
# common Makefile
#
#

CC=icc
#CC=gcc


ifeq ($(CC), icc)
	CXX           := icpc
	OPT_FLAGS     := -O3 -fp-model precise -ansi-alias -fno-alias -xhost -fast-transcendentals
	PAR_FLAGS     := -parallel
	OMP_FLAGS     := -openmp
else
	# for gcc
	CXX           := g++
	OPT_FLAGS     := -O3 -ftree-vectorize -msse3 -lm
	PAR_FLAGS     := -ftree-parallelize-loops=4
	OMP_FLAGS     := -fopenmp
endif

CFLAGS += -DTIME
LDFLAGS += -lm

clean: 
	rm -f tiled-pluto+ icc-omp
